Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062389 - LibreOffice Calc does not save changes to charts [NEEDINFO]
Summary: LibreOffice Calc does not save changes to charts
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 19:03 UTC by bob
Modified: 2014-02-20 11:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-20 11:11:16 UTC
dtardon: needinfo? (redzilla.coralnut)


Attachments (Terms of Use)
Example Chart with missing data (deleted)
2014-02-06 19:25 UTC, bob
no flags Details

Description bob 2014-02-06 19:03:47 UTC
Description of problem:

libreoffice.x86_64 1:4.1.4.2-5.fc20 

LibreOffice Calc does not accurately save changes to charts.  When the chart is saved and re-opened, the plotted functions disappear from the body of the chart.

In my case, I'm plotting a data table with several rows/columns of data on a scatter-type chart.  After making all of the desired changes to the chart, saving the chart, and re-opening the chart, the plotted functions disappear from the chart.  Interestingly, the legend entries that correspond to these disappearing functions remain in the chart legend.  This happens when the spreadsheet is saved as an openoffice type of spreadsheet and when it is saved as an .XLS spreadsheet.


In addition, the plots are not saving changes that have been made to the axes, such as re-scaling, changing of the major and minor grid intervals, etc.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open Calc, Create a Scatter Chart, Save it.
2. Open Calc, Open saved chart.
3.

Actual results:

Plotted lines have disappeared from plot.

Expected results:

Plot should look like it did when it was saved.

Additional info:

libreoffice.x86_64 1:4.1.4.2-5.fc20

Comment 1 bob 2014-02-06 19:25:32 UTC
Created attachment 860308 [details]
Example Chart with missing data

Comment 2 David Tardon 2014-02-10 09:14:13 UTC
I see the plotted data in the chart. Or is that not all that should be there? Could you attach a screenshot how the chart should look like?

I cannot reproduce your problems with a new chart either. Saving of data series and axis changes to both ODF and XLS works fine.


Note You need to log in before you can comment on or make changes to this bug.